import FavoriteBtn from "@/components/FavoriteBtn";
import ImgCard from "@/components/ImgCard";
import Image from "next/image";
import Link from "next/link";

export interface IMovieCardItem {
  Title: string;
  Year: string;
  imdbID: string;
  Type: string;
  Poster: string;
}
interface IMovieCardProps {
  movie: IMovieCardItem;
}

const testclass = {
  boxShadow: "md",
  _hover: {
    cursor: "pointer",
    border: "1px solid blue",
    borderRadius: 4,
    // boxShadow:'border'
  },
  maxW: "sm",
  borderWidth: "1px",
  borderRadius: "lg",
  overflow: "hidden",
}.toString();

export default ({ movie }: IMovieCardProps) => {
  return (
    <ImgCard
      classNames={`w-48`}
      width={140}
      height={160}
      src={movie.Poster !== "N/A" ? movie.Poster : ""}
      alt={`${movie.Title} Movie Poster`}
    >
      <div className="mt-auto">
        <h3 className="mb-2 text-lg font-semibold">{movie.Title}</h3>
        <p className="mb-2 text-sm text-gray-700">Circa: {movie.Year}</p>
      </div>
      <div className="flex gap-3">
        <Link
          href={`/Movie?i=${movie.imdbID}`}
          className="block rounded-lg bg-purple-500 px-4 py-2 text-center font-semibold text-white hover:bg-purple-600"
        >
          Movie Details
        </Link>
        <FavoriteBtn movie={movie} />
      </div>
    </ImgCard>
  );
};
