import { redirect } from "next/navigation";

export default () => {
  const searchMovies = async (formData: FormData) => {
    "use server";

    const movieTitle = formData.get("movieTitle");
    redirect(`/Search?s=${movieTitle}`);
  };
  return (
    <form action={searchMovies} className={`flex gap-4 m-4 justify-center`}>
      <input
        className="rounded px-2"
        placeholder="Search by Title"
        name="movieTitle"
      />
      <div className="flex gap-4">
        <button
          type="submit"
          className={`rounded px-2 bg-purple-500 hover:bg-purple-700`}
        >
          Search
        </button>
        <button
          type="reset"
          className={`rounded px-2 bg-gray-400 hover:bg-gray-600`}
        >
          Clear
        </button>
      </div>
    </form>
  );
};
