import { queryOMDb } from "@/api/omdb";
import MovieList from "./MovieList";
import SearchBar from "./SearchBar";

export interface INextJsProps {
  searchParams?: object;
}

export const stringifyQueryParams = (searchParams: object) =>
  Object.entries(searchParams)
    .map(
      ([key, value], i, arr) =>
        `${key}=${value}${i < arr.length - 1 ? "&" : ""}`
    )
    .toString();

export default async ({ searchParams }: INextJsProps) => {
  const queryParamString = stringifyQueryParams(searchParams!);
  console.log(queryParamString)
  const { Search } = await queryOMDb(queryParamString);
  const movies = Search || [];

  return (
    <div className={`mx-auto px-2`}>
      <SearchBar />
      <MovieList movies={movies} />
    </div>
  );
};
