import Image from "next/image";
import styles from "./page.module.css";
import Link from "next/link";

export default function Home() {
  return (
    <main 
    className={styles.main}
    >
      <div
       className={styles.description}
       >
        <p>
          A simple app to let you search for movies by title.
        </p>
        <div>
          <a
            href="https://lysted.com"
            target="_blank"
            rel="noopener noreferrer"
          >
            By{" "}
            <Image
              src="https://lysted.com/assets/login/brand/lysted-white.svg"
              alt="Lysted Logo"
              width={100}
              height={24}
              priority
            />
          </a>
        </div>
      </div>

      <div className="container m-auto">
        <div className="flex justify-center">
        <Link href={"/Search"} className="mx-auto">
          <button className="mt-2 px-4 rounded bg-purple-500 hover:bg-purple-700" >
            Start searching!
            </button>
        </Link>
        </div>
      </div>
    </main>
  );
}
