"use client";

import { useContext } from "react";
import { FavoriteContext } from "./FavoriteContext";

export default ({ movie }: any) => {
  const { favorites, setFavorites } = useContext(FavoriteContext);
  const filteredFavorites = favorites.filter(f => f.imdbID != movie.imdbID)
  const isFavorite = favorites.filter(f => f.imdbID == movie.imdbID).length == 1

  return (
    <button
      onClick={() => {
        if (isFavorite) {
          setFavorites([...filteredFavorites])
        } else {

          setFavorites([...favorites, movie]);
        }
      }}
      className={`block text-yellow-500 rounded my-auto w-6 ${isFavorite ? 'bg-black' : 'bg-white'}`}
    >
      ★
    </button>
  );
};
