import Image from "next/image";
import { PropsWithChildren } from "react";
interface ICardProps extends PropsWithChildren {
    width: number;
    height: number;
    src: string;
    alt: string;
    classNames?: string;
}
export default ({
  classNames,
  width,
  height,
  src,
  alt,
  children,
}: ICardProps) => {
  return (
    <div
      className={`
      shadow-md 
      shadow 
      shadow-purple-500 
      rounded 

      p-2 
      bg-white 
      text-black
      ${classNames}
      `}
    >
      <Image
        width={width}
        height={height}
        className={`mx-auto h-64 w-48 rounded`}
        src={src || ""}
        alt={alt || ""}
      />
      {children}
    </div>
  );
};
